Search Gradle plugins

Version 0.10.0

Created 27 July 2018.

- Automatic configuration of plugins and their ids, if java-gradle-plugin is applied
- Automatic configuration of plugin display names and descriptions, if java-gradle-plugin is applied (requires Gradle 4.10)
- Reuse of POM (including customizations) generated by maven-publish, if java-gradle-plugin and maven-publish are applied

Using the plugins DSL:

plugins {
  id "com.gradle.plugin-publish" version "0.10.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.gradle.publish:plugin-publish-plugin:0.10.0"
  }
}

apply plugin: "com.gradle.plugin-publish"

Using the plugins DSL:

plugins {
  id("com.gradle.plugin-publish") version "0.10.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.gradle.publish:plugin-publish-plugin:0.10.0")
  }
}

apply(plugin = "com.gradle.plugin-publish")

Learn how to apply plugins to subprojects